import 'package:caris_controll_speed/extension/postion.dart';
import 'package:caris_controll_speed/model/position.dart';

String calculate4LocationInRadius(Position location) {
  String COL_X = 'latitude';
  String COL_Y = 'longitude';
  double radius = 500;
  double mult = 1; // mult = 1.1; is more reliable
  Position p1 = calculateDerivedPosition(location, mult * radius, 0);
  Position p2 = calculateDerivedPosition(location, mult * radius, 90);
  Position p3 = calculateDerivedPosition(location, mult * radius, 180);
  Position p4 = calculateDerivedPosition(location, mult * radius, 270);

  String strWhere = " WHERE " +
      COL_X +
      " > " +
      "${p3.latitude}" +
      " AND " +
      COL_X +
      " < " +
      "${p1.latitude}" +
      " AND " +
      COL_Y +
      " < " +
      "${p2.longitude}" +
      " AND " +
      COL_Y +
      " > " +
      "${p4.longitude}";
  return strWhere;
}
