class Position {
  Position({
    this.latitude,
    this.longitude,
    this.accuracy,
    this.altitude,
    this.heading,
    this.speed,
    this.speedAccuracy,
    this.timestamp,
  });

  double? latitude;
  double? longitude;
  double? accuracy;
  double? altitude;
  double? heading;
  double? speed;
  double? speedAccuracy;
  DateTime? timestamp;

  factory Position.fromJson(Map<String, dynamic> json) => Position(
        latitude: json['latitude'],
        longitude: json['longitude'],
        accuracy: json['accuracy'],
        altitude: json['altitude'],
        heading: json['heading'],
        speed: json['speed'],
        speedAccuracy: json['speedAccuracy'],
        timestamp: json['timestamp'],
      );
}
